<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'green_tag',

    /*
     * Modules.
     */
    'modules'   => ['green_tag', 'green_tag_segments', 'green_tag_health_benefits', 'green_tag_product_health_benefits', 'green_tag_product_segments'],

    'green_tag'       => [
        'model' => [
            'model' => \Litecms\GreenTag\Models\GreenTag::class,
            'repository' => \Litecms\GreenTag\Repositories\Eloquent\GreenTagRepository::class,
            'table' => 'green_tags',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'image',  'price',  'status',  'current_user'],
            'translatables' => [],
            'upload_folder' => 'green_tag/green_tag',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'GreenTag',
            'module' => 'GreenTag',
        ],
    ],
    'green_tag_segments'       => [
        'model' => [
            'model' => \Litecms\GreenTag\Models\GreenTagSegments::class,
            'repository' => \Litecms\GreenTag\Repositories\Eloquent\GreenTagSegmentsRepository::class,
            'table' => 'green_tag_segments',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name'],
            'translatables' => [],
            'upload_folder' => 'green_tag/green_tag_segments',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'GreenTag',
            'module' => 'GreenTagSegments',
        ],
    ],
    'green_tag_health_benefits'       => [
        'model' => [
            'model' => \Litecms\GreenTag\Models\GreenTagHealthBenefits::class,
            'repository' => \Litecms\GreenTag\Repositories\Eloquent\GreenTagHealthBenefitsRepository::class,
            'table' => 'green_tag_health_benefits',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name'],
            'translatables' => [],
            'upload_folder' => 'green_tag/green_tag_health_benefits',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'GreenTag',
            'module' => 'GreenTagHealthBenefits',
        ],
    ],
    'green_tag_product_health_benefits'       => [
        'model' => [
            'model' => \Litecms\GreenTag\Models\GreenTagProductHealthBenefits::class,
            'repository' => \Litecms\GreenTag\Repositories\Eloquent\GreenTagProductHealthBenefitsRepository::class,
            'table' => 'green_tag_product_health_benefits',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['product_id',  'health_benefit_id'],
            'translatables' => [],
            'upload_folder' => 'green_tag/green_tag_product_health_benefits',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'GreenTag',
            'module' => 'GreenTagProductHealthBenefits',
        ],
    ],
    'green_tag_product_segments'       => [
        'model' => [
            'model' => \Litecms\GreenTag\Models\GreenTagProductSegments::class,
            'repository' => \Litecms\GreenTag\Repositories\Eloquent\GreenTagProductSegmentsRepository::class,
            'table' => 'green_tag_product_segments',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['product_id',  'segment_id'],
            'translatables' => [],
            'upload_folder' => 'green_tag/green_tag_product_segments',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'GreenTag',
            'module' => 'GreenTagProductSegments',
        ],
    ],
];
