<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateGreenTagsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: green_tags
         */
        Schema::create('green_tags', function ($table) {
            $table->increments('id');
            $table->string('name', 65)->nullable();
            $table->json('image')->nullable();
            $table->float('price')->nullable();
            $table->tinyInteger('status')->nullable();
            $table->integer('current_user')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('green_tags');
    }
}
