Lavalite package that provides green_tag management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/green_tag`.

    "litecms/green_tag": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\GreenTag\Providers\GreenTagServiceProvider::class,

And also add it to alias

    'GreenTag'  => Litecms\GreenTag\Facades\GreenTag::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\GreenTag\\Seeders\\GreenTagTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\GreenTag\Providers\GreenTagServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\GreenTag\Providers\GreenTagServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\GreenTag\Providers\GreenTagServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/green_tag/{modulename}

**User**

    http://path-to-route-folder/user/green_tag/{modulename}

**Public**

    http://path-to-route-folder/green_tags


### API endpoints

**List**

    http://path-to-route-folder/api/user/green_tag/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/green_tag/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/green_tag/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/green_tag/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/green_tag/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/green_tag/{modulename}/{slug}
    METHOD: GET