<?php

namespace Litecms\GreenTag\Forms;

use Litepie\Form\FormInterpreter;

class GreenTagProductHealthBenefits extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('green_tag/green_tag_product_health_benefits/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('green_tag/green_tag_product_health_benefits/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('green_tag/green_tag_product_health_benefits'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('green_tag/green_tag_product_health_benefits'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('green_tag/green_tag_product_health_benefits'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('green_tag/green_tag_product_health_benefits'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('green_tag::green_tag.label.name'),
                "placeholder" => trans('green_tag::green_tag.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('green_tag::green_tag.label.created_at'),
            'name' => trans('green_tag::green_tag.label.name'),
            'status' => trans('green_tag::green_tag.label.status'),
        ];
        self::$groups = [
            'main' => trans('green_tag::green_tag.groups.main'),
            'details' => trans('green_tag::green_tag.groups.details'),
            'images' => trans('green_tag::green_tag.groups.images'),
            'settings' => trans('green_tag::green_tag.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('green_tag::green_tag.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('green_tag::green_tag.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('green_tag::green_tag.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('green_tag::green_tag.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                
        ];

        return new static();
    }
}
