<?php

namespace Litecms\GreenTag\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind GreenTag policy
        \Litecms\GreenTag\Repositories\Eloquent\GreenTagRepository::class 
        => \Litecms\GreenTag\Policies\GreenTagPolicy::class,// Bind GreenTagSegments policy
        \Litecms\GreenTag\Repositories\Eloquent\GreenTagSegmentsRepository::class 
        => \Litecms\GreenTag\Policies\GreenTagSegmentsPolicy::class,// Bind GreenTagHealthBenefits policy
        \Litecms\GreenTag\Repositories\Eloquent\GreenTagHealthBenefitsRepository::class 
        => \Litecms\GreenTag\Policies\GreenTagHealthBenefitsPolicy::class,// Bind GreenTagProductHealthBenefits policy
        \Litecms\GreenTag\Repositories\Eloquent\GreenTagProductHealthBenefitsRepository::class 
        => \Litecms\GreenTag\Policies\GreenTagProductHealthBenefitsPolicy::class,// Bind GreenTagProductSegments policy
        \Litecms\GreenTag\Repositories\Eloquent\GreenTagProductSegmentsRepository::class 
        => \Litecms\GreenTag\Policies\GreenTagProductSegmentsPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
