<?php

namespace Litecms\GreenTag\Repositories\Eloquent;

use Litecms\GreenTag\Interfaces\GreenTagHealthBenefitsRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\GreenTag\Repositories\Eloquent\Presenters\GreenTagHealthBenefitsItemPresenter;


class GreenTagHealthBenefitsRepository extends BaseRepository implements GreenTagHealthBenefitsRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.green_tag.green_tag_health_benefits.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.green_tag.green_tag_health_benefits.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return GreenTagHealthBenefitsItemPresenter::class;
    }
}
