<?php

namespace Litecms\GreenTag\Repositories\Eloquent;

use Litecms\GreenTag\Interfaces\GreenTagProductSegmentsRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\GreenTag\Repositories\Eloquent\Presenters\GreenTagProductSegmentsItemPresenter;


class GreenTagProductSegmentsRepository extends BaseRepository implements GreenTagProductSegmentsRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.green_tag.green_tag_product_segments.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.green_tag.green_tag_product_segments.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return GreenTagProductSegmentsItemPresenter::class;
    }
}
