<?php

namespace Litecms\GreenTag\Repositories\Eloquent;

use Litecms\GreenTag\Interfaces\GreenTagRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\GreenTag\Repositories\Eloquent\Presenters\GreenTagItemPresenter;


class GreenTagRepository extends BaseRepository implements GreenTagRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.green_tag.green_tag.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.green_tag.green_tag.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return GreenTagItemPresenter::class;
    }
}
